Bug 2051605 - Detect NSS at Runtime for FIPS detection [rhel-8, openjdk-17]
Summary: Detect NSS at Runtime for FIPS detection [rhel-8, openjdk-17]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: java-17-openjdk
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andrew John Hughes
QA Contact: OpenJDK QA
URL:
Whiteboard:
Depends On:
Blocks: 2108269
TreeView+ depends on / blocked
 
Reported: 2022-02-07 15:33 UTC by Andrew John Hughes
Modified: 2022-07-18 17:56 UTC (History)
2 users (show)

Fixed In Version: java-17-openjdk-17.0.2.0.8-12.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2108269 (view as bug list)
Environment:
Last Closed: 2022-05-10 13:32:42 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker RHELPLAN-111374 0 None None None 2022-02-07 15:50:09 UTC
Red Hat Product Errata RHEA-2022:1768 0 None None None 2022-05-10 13:32:50 UTC

Description Andrew John Hughes 2022-02-07 15:33:15 UTC
Currently, we link against NSS on RHEL builds to obtain the SECMOD_GetSystemFIPSEnabled function.  However, this is not possible on portable builds and creates an unnecessary difference between the two.

We can instead detect NSS using dlopen at runtime and only then fall back on the /proc method if that fails.

Comment 10 errata-xmlrpc 2022-05-10 13:32:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (java-17-openjdk bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2022:1768


Note You need to log in before you can comment on or make changes to this bug.